Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
preference Struct Reference

## Public Attributes
const char * | name
const char * | title
const char * | description
int | ordinal
int | type
unsigned int | effect_flags
gui_type_t | gui
union {
guint * uint
gboolean * boolp
gint * enump
char ** string
range_t ** range
struct epan_uat * uat
color_t * colorp
GList ** list
} | varp
union {
guint uint
gboolean boolval
gint enumval
char * string
range_t * range
color_t color
GList * list
} | stashed_val
union {
guint uint
gboolean boolval
gint enumval
char * string
range_t * range
color_t color
GList * list
} | default_val
union {
guint base
guint32 max_value
struct {
const enum_val_t * enumvals
gboolean radio_buttons
} enum_info
} | info
struct pref_custom_cbs | custom_cbs
void * | control

## Detailed Description

Struct to hold preference data

## Member Data Documentation

guint preference::base

input/output base, for PREF_UINT

void* preference::control

handle for GUI control for this preference. GTK+ only?

struct pref_custom_cbs preference::custom_cbs

for PREF_CUSTOM

union { ... } preference::default_val

the default value of the preference

const char* preference::description

human-readable description of preference

unsigned int preference::effect_flags

Flags of types effected by preference (PREF_TYPE_DISSECTION, PREF_EFFECT_CAPTURE, etc). Flags must be non-zero to ensure saving to disk

struct { ... } preference::enum_info

for PREF_ENUM

const enum_val_t* preference::enumvals

list of name & values

gui_type_t preference::gui

type of the GUI (QT, GTK or both) the preference is registered for

union { ... } preference::info

display/text file information

guint32 preference::max_value

maximum value of a range

const char* preference::name

name of preference

int preference::ordinal

ordinal number of this preference

gboolean preference::radio_buttons

TRUE if it should be shown as radio buttons rather than as an option menu or combo box in the preferences tab

union { ... } preference::stashed_val

original value, when editing from the GUI

const char* preference::title

title to use in GUI

int preference::type

type of that preference

union { ... } preference::varp

pointer to variable storing the value

The documentation for this struct was generated from the following file:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/epan/prefs.c